org.apache.poi.sl.image

## Class ImageHeaderWMF

- java.lang.Object
- - org.apache.poi.sl.image.ImageHeaderWMF

-     @Internal
      public class ImageHeaderWMF
      extends java.lang.Object

  Aldus Placeable Metafile header - 22 byte structure before WMF data.
  - int Key; Magic number (always 9AC6CDD7h)
  - short Handle; Metafile HANDLE number (always 0)
  - short Left; Left coordinate in metafile units
  - short Top; Top coordinate in metafile units
  - short Right; Right coordinate in metafile units
  - short Bottom; Bottom coordinate in metafile units
  - short Inch; Number of metafile units per inch
  - int Reserved; Reserved (always 0)
  - short Checksum; Checksum value for previous 10 shorts

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `APMHEADER_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImageHeaderWMF(byte[] data, int off)`
    `ImageHeaderWMF(java.awt.Rectangle dim)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.Rectangle` | `getBounds()`
    `int` | `getChecksum()` Returns a checksum value for the previous 10 shorts in the header.
    `int` | `getLength()`
    `java.awt.Dimension` | `getSize()`
    `void` | `write(java.io.OutputStream out)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### APMHEADER_KEY

          public static final int APMHEADER_KEY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ImageHeaderWMF

          public ImageHeaderWMF(java.awt.Rectangle dim)

    - #### ImageHeaderWMF

          public ImageHeaderWMF(byte[] data,
                                int off)

  - ### Method Detail

    - #### getChecksum

          public int getChecksum()

      Returns a checksum value for the previous 10 shorts in the header. The checksum is calculated by XORing each short value to an initial value of 0:

    - #### write

          public void write(java.io.OutputStream out)
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getSize

          public java.awt.Dimension getSize()

    - #### getBounds

          public java.awt.Rectangle getBounds()

    - #### getLength

          public int getLength()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.